Package javax.help.search

# Interface SearchListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicSearchNavigatorUI`, `SearchTOCItemTag`

public interface SearchListener extends EventListener
Defines the interface for an object that listens to changes from a SearchQuery instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`itemsFound(SearchEvent e)`
Tells the listener that matching SearchItems have been found.
`void`
`searchFinished(SearchEvent e)`
Tells the listener that the search has finished
`void`
`searchStarted(SearchEvent e)`
Tells the listener that the search has started.

## Method Details

### itemsFound

void itemsFound(SearchEvent e)
Tells the listener that matching SearchItems have been found.

### searchStarted

void searchStarted(SearchEvent e)
Tells the listener that the search has started.

### searchFinished

void searchFinished(SearchEvent e)
Tells the listener that the search has finished